### Method

# Gio DBusMessage get_header_fields

since: 2.26

#### Declaration [src]

    guchar*
    g_dbus_message_get_header_fields (
      GDBusMessage* message
    )

#### Description [src]

Gets an array of all header fields on `message` that are set.

Available since: 2.26

#### Return value

Type: An array of `guchar`

An array of header fields terminated by `G_DBUS_MESSAGE_HEADER_FIELD_INVALID`. Each element is a #guchar. Free with g_free().

The array is `NULL`-terminated.
The returned data is owned by the instance.